Subject: [alpine-aports] [PATCH 1/2] testing/libgnomecanvas: new aport

From: Ivan Tham <[email-masked]>
Date: Mon, 20 Mar 2017 22:25:39 +0800

http://www.gnome.org/
GNOME Canvas library
---
 testing/libgnomecanvas/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/libgnomecanvas/APKBUILD

diff --git a/testing/libgnomecanvas/APKBUILD b/testing/libgnomecanvas/APKBUILD
new file mode 100644
index 00000000..1f04a76a
--- /dev/null
+++ b/testing/libgnomecanvas/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=libgnomecanvas
+pkgver=2.30.3
+pkgrel=0
+pkgdesc="GNOME Canvas library"
+url="http://www.gnome.org/"
+arch="all"
+license="GPL2"
+makedepends="intltool libart-lgpl-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://download.gnome.org/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="b5bfa2133f5172abd5228d467db4d980dd4ac125cdbf55dcc1d5055dc3330861320c12cccb52ea63ba7f69824504c9d25781cd78001dc7a92b11c6f7e0c550de  libgnomecanvas-2.30.3.tar.bz2"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Thu, 23 Mar 2017 14:44:03 +0100

Hi,

thank you for your contribution.

>  create mode 100644 testing/libgnomecanvas/APKBUILD

The patch has been merged with few modifications. Some mdepends were
missing. "|| return 1" also has been removed since is no longer needed. [1]

Thanks!

|_eo

[1] http://lists.alpinelinux.org/alpine-devel/5608.html

---

From: Ivan Tham <[email-masked]>
Date: Mon, 20 Mar 2017 22:25:40 +0800

http://xournal.sourceforge.net/
Notetaking, sketching, keeping a journal using a stylus
---
 testing/xournal/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/xournal/APKBUILD

diff --git a/testing/xournal/APKBUILD b/testing/xournal/APKBUILD
new file mode 100644
index 00000000..9165ae54
--- /dev/null
+++ b/testing/xournal/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=xournal
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Notetaking, sketching, keeping a journal using a stylus"
+url="http://xournal.sourceforge.net/"
+arch="all"
+license="GPL2"
+makedepends="libgnomecanvas-dev poppler-dev"
+subpackages="$pkgname-lang"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="cfd5760a0e832ef02786a29cb744d4932aeee97c4d6992b430e647bd59aaef1042735203824d0eaf9da9b884dcdadcfb8f5acea221638db91438ae46a6ee42bf  xournal-0.4.8.tar.gz"
-- 
2.11.1

---

---

From: Leonardo Arena <[email-masked]>
Date: Thu, 23 Mar 2017 14:50:08 +0100

Hi,

Thanks!

|_eo